import time
from tkinter import *

# dimensions of canvas
WIDTH=300
HEIGHT=400

#  Create window and canvas
window = Tk()
canvas = Canvas(window, width=WIDTH, height=HEIGHT, bg='white')
canvas.pack()

# starting position of ball
x = 0
y = 10

# distance moved each time step 
dx = 10
dy= 10
# diameter of ball
ballsize = 30

# loop needed to update position of the ball every 50 ms
while True:

    x = x + dx
    y = y + dy

     # if ball get to edge then we need to
     # change direction of movement
    if x >= WIDTH-ballsize or x <= 0:
        dx = -dx
 
    if y >= HEIGHT-ballsize or y <= 0:
        dy = -dy

     # Create ball
    ball=canvas.create_oval(x, y, x+ballsize, y+ballsize, fill="green")

    # display ball
    canvas.update()
    canvas.after(50)

    #remove ball
    canvas.delete(ball)
 
window.mainloop()
